=== modified file 'ChangeLog'
--- ChangeLog	2006-08-19 22:59:05 +0000
+++ ChangeLog	2006-08-19 23:56:40 +0000
@@ -1,5 +1,7 @@
 2006-08-19  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
 
+    * olive/frontend/handler.py: fixed a long existing bug: double-clicking a
+      file should open it with an application (supported under Windows)
     * olive/frontend/__init__.py: set menu and toolbar sensitivity
     * olive/frontend/handler.py: set context menu sensitivity
     * olive/backend/info.py: implemented is_branch()

=== modified file 'TODO'
--- TODO	2006-08-19 19:02:08 +0000
+++ TODO	2006-08-19 23:56:40 +0000
@@ -11,7 +11,7 @@
    toggled) (j-a-meinel)
  - "Probe location" button on the Push dialog (test write access, etc.) (ddaa)
 [DONE] Save and restore main window position and size (phanatic)
- - Real sensitive context menu - e.g. options are grey if not a branch
+[DONE] Real sensitive context menu - e.g. options are grey if not a branch
    (phanatic)
  - Implement 'bzr missing' (phanatic)
  - Implement 'bzr uncommit' (phanatic)
@@ -19,4 +19,4 @@
 [DONE] Testing on Windows platform (phanatic)
  - i18n/l10n with gettext (phanatic)
  - Bookmarks should have a 'title' attribute (phanatic)
- - Open files on double-click, and add Open option to context menu (Aaadam)
+[PART-DONE] Open files on double-click, and add Open option to context menu (Aaadam)

=== modified file 'olive/frontend/gtk/handler.py'
--- olive/frontend/gtk/handler.py	2006-08-19 22:59:05 +0000
+++ olive/frontend/gtk/handler.py	2006-08-19 23:56:40 +0000
@@ -233,7 +233,17 @@
         if newdir == '..':
             self.comm.set_path(os.path.split(self.comm.get_path())[0])
         else:
-            self.comm.set_path(self.comm.get_path() + '/' + newdir)
+            fullpath = self.comm.get_path() + '/' + newdir
+            if os.path.isdir(fullpath):
+                # selected item is an existant directory
+                self.comm.set_path(fullpath)
+            else:
+                if sys.platform == 'win32':
+                    # open the file with the default application
+                    os.startfile(fullpath)
+                else:
+                    # TODO: support other OSes
+                    print "DEBUG: double-click on non-Win32 platforms not supported."
         
         self.comm.refresh_right()
     

